/**
 * <copyright>
 * </copyright>
 *
 * $Id$
 */
package com.example.testbag;

import org.eclipse.emf.ecore.EAttribute;
import org.eclipse.emf.ecore.EClass;
import org.eclipse.emf.ecore.EPackage;
import org.eclipse.emf.ecore.EReference;

/**
 * <!-- begin-user-doc -->
 * The <b>Package</b> for the model.
 * It contains accessors for the meta objects to represent
 * <ul>
 *   <li>each class,</li>
 *   <li>each feature of each class,</li>
 *   <li>each enum,</li>
 *   <li>and each data type</li>
 * </ul>
 * <!-- end-user-doc -->
 * @see com.example.testbag.TestbagFactory
 * @model kind="package"
 * @generated
 */
public interface TestbagPackage extends EPackage {
    /**
     * The package name.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     */
    String eNAME = "testbag";

    /**
     * The package namespace URI.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     */
    String eNS_URI = "http://www.example.com/testbag";

    /**
     * The package namespace name.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     */
    String eNS_PREFIX = "testbag";

    /**
     * The singleton instance of the package.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     */
    TestbagPackage eINSTANCE = com.example.testbag.impl.TestbagPackageImpl.init();

    /**
     * The meta object id for the '{@link com.example.testbag.impl.SomeClassImpl <em>Some Class</em>}' class.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @see com.example.testbag.impl.SomeClassImpl
     * @see com.example.testbag.impl.TestbagPackageImpl#getSomeClass()
     * @generated
     */
    int SOME_CLASS = 0;

    /**
     * The feature id for the '<em><b>Refs</b></em>' containment reference list.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     * @ordered
     */
    int SOME_CLASS__REFS = 0;

    /**
     * The number of structural features of the '<em>Some Class</em>' class.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     * @ordered
     */
    int SOME_CLASS_FEATURE_COUNT = 1;

    /**
     * The meta object id for the '{@link com.example.testbag.impl.SomeOtherClassImpl <em>Some Other Class</em>}' class.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @see com.example.testbag.impl.SomeOtherClassImpl
     * @see com.example.testbag.impl.TestbagPackageImpl#getSomeOtherClass()
     * @generated
     */
    int SOME_OTHER_CLASS = 1;

    /**
     * The feature id for the '<em><b>Some Property</b></em>' attribute.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     * @ordered
     */
    int SOME_OTHER_CLASS__SOME_PROPERTY = 0;

    /**
     * The number of structural features of the '<em>Some Other Class</em>' class.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     * @ordered
     */
    int SOME_OTHER_CLASS_FEATURE_COUNT = 1;


    /**
     * Returns the meta object for class '{@link com.example.testbag.SomeClass <em>Some Class</em>}'.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @return the meta object for class '<em>Some Class</em>'.
     * @see com.example.testbag.SomeClass
     * @generated
     */
    EClass getSomeClass();

    /**
     * Returns the meta object for the containment reference list '{@link com.example.testbag.SomeClass#getRefs <em>Refs</em>}'.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @return the meta object for the containment reference list '<em>Refs</em>'.
     * @see com.example.testbag.SomeClass#getRefs()
     * @see #getSomeClass()
     * @generated
     */
    EReference getSomeClass_Refs();

    /**
     * Returns the meta object for class '{@link com.example.testbag.SomeOtherClass <em>Some Other Class</em>}'.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @return the meta object for class '<em>Some Other Class</em>'.
     * @see com.example.testbag.SomeOtherClass
     * @generated
     */
    EClass getSomeOtherClass();

    /**
     * Returns the meta object for the attribute '{@link com.example.testbag.SomeOtherClass#getSomeProperty <em>Some Property</em>}'.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @return the meta object for the attribute '<em>Some Property</em>'.
     * @see com.example.testbag.SomeOtherClass#getSomeProperty()
     * @see #getSomeOtherClass()
     * @generated
     */
    EAttribute getSomeOtherClass_SomeProperty();

    /**
     * Returns the factory that creates the instances of the model.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @return the factory that creates the instances of the model.
     * @generated
     */
    TestbagFactory getTestbagFactory();

    /**
     * <!-- begin-user-doc -->
     * Defines literals for the meta objects that represent
     * <ul>
     *   <li>each class,</li>
     *   <li>each feature of each class,</li>
     *   <li>each enum,</li>
     *   <li>and each data type</li>
     * </ul>
     * <!-- end-user-doc -->
     * @generated
     */
    interface Literals {
        /**
         * The meta object literal for the '{@link com.example.testbag.impl.SomeClassImpl <em>Some Class</em>}' class.
         * <!-- begin-user-doc -->
         * <!-- end-user-doc -->
         * @see com.example.testbag.impl.SomeClassImpl
         * @see com.example.testbag.impl.TestbagPackageImpl#getSomeClass()
         * @generated
         */
        EClass SOME_CLASS = eINSTANCE.getSomeClass();

        /**
         * The meta object literal for the '<em><b>Refs</b></em>' containment reference list feature.
         * <!-- begin-user-doc -->
         * <!-- end-user-doc -->
         * @generated
         */
        EReference SOME_CLASS__REFS = eINSTANCE.getSomeClass_Refs();

        /**
         * The meta object literal for the '{@link com.example.testbag.impl.SomeOtherClassImpl <em>Some Other Class</em>}' class.
         * <!-- begin-user-doc -->
         * <!-- end-user-doc -->
         * @see com.example.testbag.impl.SomeOtherClassImpl
         * @see com.example.testbag.impl.TestbagPackageImpl#getSomeOtherClass()
         * @generated
         */
        EClass SOME_OTHER_CLASS = eINSTANCE.getSomeOtherClass();

        /**
         * The meta object literal for the '<em><b>Some Property</b></em>' attribute feature.
         * <!-- begin-user-doc -->
         * <!-- end-user-doc -->
         * @generated
         */
        EAttribute SOME_OTHER_CLASS__SOME_PROPERTY = eINSTANCE.getSomeOtherClass_SomeProperty();

    }

} //TestbagPackage
